|
||||||||||
| PREV NEXT | FRAMES NO FRAMES | |||||||||
| Uses of Task in org.jclouds.vcloud |
|---|
| Methods in org.jclouds.vcloud that return Task | |
|---|---|
Task |
CommonVCloudClient.getTask(URI taskId)
Whenever the result of a request cannot be returned immediately, the server creates a Task object and includes it in the response, as a member of the Tasks container in the response body. |
| Methods in org.jclouds.vcloud that return types with arguments of type Task | |
|---|---|
com.google.common.util.concurrent.ListenableFuture<? extends Task> |
CommonVCloudAsyncClient.getTask(URI taskId)
|
| Uses of Task in org.jclouds.vcloud.compute.internal |
|---|
| Methods in org.jclouds.vcloud.compute.internal that return Task | |
|---|---|
protected abstract Task |
CommonVCloudComputeClientImpl.powerOff(A vApp)
|
protected abstract Task |
CommonVCloudComputeClientImpl.reset(A vApp)
|
protected abstract Task |
CommonVCloudComputeClientImpl.undeploy(A vApp)
|
| Uses of Task in org.jclouds.vcloud.domain |
|---|
| Methods in org.jclouds.vcloud.domain that return types with arguments of type Task | |
|---|---|
SortedSet<Task> |
TasksList.getTasks()
|
List<Task> |
VDC.getTasks()
read‐only container for Task elements. |
List<Task> |
Catalog.getTasks()
read‐only container for Task elements. |
List<Task> |
Org.getTasks()
read‐only container for Task elements. |
| Uses of Task in org.jclouds.vcloud.domain.internal |
|---|
| Classes in org.jclouds.vcloud.domain.internal that implement Task | |
|---|---|
class |
TaskImpl
|
| Methods in org.jclouds.vcloud.domain.internal that return types with arguments of type Task | |
|---|---|
List<Task> |
VDCImpl.getTasks()
read‐only container for Task elements. |
SortedSet<Task> |
TasksListImpl.getTasks()
|
List<Task> |
OrgImpl.getTasks()
|
List<Task> |
CatalogImpl.getTasks()
read‐only container for Task elements. |
| Constructor parameters in org.jclouds.vcloud.domain.internal with type arguments of type Task | |
|---|---|
CatalogImpl(String name,
String type,
URI href,
ReferenceType org,
String description,
Map<String,ReferenceType> contents,
Iterable<Task> tasks,
boolean published,
boolean readOnly)
|
|
OrgImpl(String name,
String type,
URI id,
String fullName,
String description,
Map<String,ReferenceType> catalogs,
Map<String,ReferenceType> vdcs,
Map<String,ReferenceType> networks,
ReferenceType tasksList,
Iterable<Task> tasks)
|
|
TasksListImpl(URI id,
SortedSet<Task> tasks)
|
|
VDCImpl(String name,
String type,
URI id,
VDCStatus status,
ReferenceType org,
String description,
Iterable<Task> tasks,
AllocationModel allocationModel,
Capacity storageCapacity,
Capacity cpuCapacity,
Capacity memoryCapacity,
Map<String,ReferenceType> resourceEntities,
Map<String,ReferenceType> availableNetworks,
int nicQuota,
int networkQuota,
int vmQuota,
boolean isEnabled)
|
|
| Uses of Task in org.jclouds.vcloud.domain.network |
|---|
| Methods in org.jclouds.vcloud.domain.network that return types with arguments of type Task | |
|---|---|
List<Task> |
OrgNetwork.getTasks()
read‐only container for Task elements. |
| Uses of Task in org.jclouds.vcloud.domain.network.internal |
|---|
| Methods in org.jclouds.vcloud.domain.network.internal that return types with arguments of type Task | |
|---|---|
List<Task> |
OrgNetworkImpl.getTasks()
read‐only container for Task elements. |
| Constructor parameters in org.jclouds.vcloud.domain.network.internal with type arguments of type Task | |
|---|---|
OrgNetworkImpl(String name,
String type,
URI id,
ReferenceType org,
String description,
Iterable<Task> tasks,
OrgNetwork.Configuration configuration,
ReferenceType networkPool,
Iterable<String> allowedExternalIpAddresses)
|
|
| Uses of Task in org.jclouds.vcloud.xml |
|---|
| Fields in org.jclouds.vcloud.xml with type parameters of type Task | |
|---|---|
protected List<Task> |
OrgNetworkHandler.tasks
|
protected List<Task> |
VDCHandler.tasks
|
protected List<Task> |
OrgHandler.tasks
|
protected List<Task> |
CatalogHandler.tasks
|
| Methods in org.jclouds.vcloud.xml that return Task | |
|---|---|
Task |
TaskHandler.getResult()
|
|
||||||||||
| PREV NEXT | FRAMES NO FRAMES | |||||||||